Not logged in. · Lost password · Register
Forum: General Help and Support Server Setup RSS
DokuWiki 2008-05-05 needs PHP 4.3.3 or more.
Avatar
g1smd #1
Member since Jan 2009 · 133 posts · Location: UK
Group memberships: Members
Show profile · Link to this post
Subject: DokuWiki 2008-05-05 needs PHP 4.3.3 or more.
I recently tried installing DokuWiki 2008-05-05 on a site and immediately met this error message:

      • Your PHP version 4.3.2 is lower than the needed 4.3.3. You need to upgrade your PHP install.

The web host has no plans to upgrade the PHP in the near future.

Is there any specific feature in DokuWiki that wouldn't work if the install system were to be over-ridden and DW installed here anyway... or is it the case that the whole thing would fail to operate because of PHP syntax or other changes?

In other words, what does DokuWiki 2008-05-05 need that can be found in PHP 4.3.3 or later, but which isn't available in PHP 4.3.2 or earlier?



Please list the minimum server requirements for each version of DokuWiki at: http://www.dokuwiki.org/changes or indicate where else such information is listed.

I really don't want to use the 2007 version of DocuWiki, as the 2008 version has a lot more features.
This post was edited 2 times, last on 2009-01-18, 23:22 by g1smd.
Avatar
andi (Administrator) #2
User title: splitbrain
Member since May 2006 · 3509 posts · Location: Berlin Germany
Group memberships: Administrators, Members
Show profile · Link to this post
Try it. You will see if it breaks.

Just a note: the upcoming release will be the last with PHP4 compatibility. PHP4 has officially reached end of life, if your hoster denies to upgrade an end of life product then you should consider changing the hoster.
Read this if you don't get any useful answers.
Lies dies wenn du keine hilfreichen Antworten bekommst.
Avatar
g1smd #3
Member since Jan 2009 · 133 posts · Location: UK
Group memberships: Members
Show profile · Link to this post
Unfortunately it is not *my* hosting to change, but that's what I would do too if it were.  :)


How 'upcoming' is the 'upcoming' release?  Is it weeks or months away?
This post was edited 2 times, last on 2009-01-18, 23:23 by g1smd.
Close Smaller – Larger + Reply to this post:
Verification code: VeriCode Please enter the word from the image into the text field below. (Type the letters only, lower case is okay.)
Smileys: :-) ;-) :-D :-p :blush: :cool: :rolleyes: :huh: :-/ <_< :-( :'( :#: :scared: 8-( :nuts: :-O
Special characters:
Go to forum
Imprint
This board is powered by the Unclassified NewsBoard software, 20150713-dev, © 2003-2015 by Yves Goergen
Current time: 2020-01-18, 12:16:48 (UTC +01:00)